<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title></title>
</head>
<body>
 	<!-- Resource -->
	<em>Science and Engineering Ethics (2001) 7, 231-238</em>
	<hr>

<meta charset="utf-8">
<!-- HEADER -->
		<h1>Software Engineering Code of Ethings and Professional Practice</h1>

		<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
	<hr>
<!-- HEADER END -->

 	<strong>Keywords:</strong>code of ethics, professional responsibility, software engineering
<!-- End of Keywords -->

 	<h3> PREAMBLE</h3>
 	<br>
 	The short version of the code summarize aspirations at a high-level of abstraction. The classes that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professional. Withoung the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together. the aspirations and the details from a cohesive code. 
 	<br>
 	<br>
 	Software engineers shall commit themselves to making the analysis, specification,design,development,testing, and maitenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eigth Principles.
<!-- End of Preamble -->

 	<h3>PRINCIPLE</h3>
 		<ol>
 			<li><em>Public.</em> Software engineers shall act consistenty with the public interest.</li>
 			<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interest of their client and employer consistent with the public interest.</li>
 			<li><em>Product.</em> Software engineers shall ensure that their products and related modification meet the highest professional standards possible</li>
 			<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
 			<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
 			<li><em>Profession.</em> Software engineers shall advance integrity and reputations of the profession consistent with the public interest.</li>
 			<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
 			<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>

 		</ol>
</body>
</html>